$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.64.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.64.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D9ABD37DDC193C3775C0D07E2033586AC2165F3B66FC325B73C8349CD0F17254'
  checksumType = 'sha256'
  checksum64 = 'D9ABD37DDC193C3775C0D07E2033586AC2165F3B66FC325B73C8349CD0F17254'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.64-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
